//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// Class          : simulation.Ball
//
// Author         : Richard E. Pattis
//                  Computer Science Department
//                  School of Information and Computer Science
//                  University of California at Irvine
//                  Irvine, CA 92617-3435
//                  e-mail: pattis@ics.uci.edu
//
// Maintainer     : Author
//
//
// Description:
//
//   Ball is a concrete class in the simulation package; it extends the
// Prey class and makes it concrete. Each ball starts moving at a speed
// of 5, and some random angle. It has an object of the ColoredBall class
// to display as a blue circle of radius 5.
//
//   Note that "no access modifier" for a member means that the member is
// package-friendly: this means that the member is public to all other
// classes in the Pinball package, but private elsewhere.
//
// Future Plans   : Javadoc Comments
//
// Program History:
//  10/02/04: R. Pattis - Operational for 15-200
//
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


package simulation;


import java.awt.Color;


public class Ball extends Prey {


  Ball (int x, int y)
  {
    super(x,y);
    setVelocity(5,0);
    randomizeAngle();
  }
  
  
 
  //Concrete Mutator/Accessor
  
  void update(Model m)
  {move.doIt(m);}
    

  Displayable getImage()
  {return image;}

  

  //Instance variable
  private int              radius = 5;
  private StraightBehavior move    = new StraightBehavior(this); 
  private ColoredCircle    image  = new ColoredCircle(Color.blue,radius); 
}
