//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// Class          : simulation.Prey
//
/// Author         : Richard E. Pattis
//                  Computer Science Department
//                  School of Information and Computer Science
//                  University of California at Irvine
//                  Irvine, CA 92617-3435
//                  e-mail: pattis@ics.uci.edu
//
// Maintainer     : Author
//
//
// Description:
//
//   Prey is an abstract class in the simulation package; it extends the
// MoveableSimulton class but defines no state nor defines/overloads any
// methods. We use Prey as a superclass for all Simulton's that can be
// "eaten" by other simultons. If an object is an instanceof Prey, then
// it can be eaten
//
// Future Plans   : Javadoc Comments
//
// Program History:
//  10/02/04: R. Pattis - Operational for 15-200
//
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


package simulation;


public abstract class Prey extends MoveableSimulton {

  Prey (int x, int y)
  {super(x,y);}
  
}
