//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//
// Class          : simulation.StraightBehavior
//
// Author         : Richard E. Pattis
//                  Computer Science Department
//                  School of Information and Computer Science
//                  University of California at Irvine
//                  Irvine, CA 92617-3435
//                  e-mail: pattis@ics.uci.edu
//
// Maintainer     : Author
//
//
// Description:
//
//   StraightBehavior is a class that implements the Behavior interface.
// Generally, it moves its MoveableSimulton object inn a straight line,
// keeping its velocity (speed and angle) constant (unless it hits a
// boundary wall).
//
//   Note that "no access modifier" for a member means that the member is
// package-friendly: this means that the member is public to all other
// classes in the simulation package, but private elsewhere.
//
// Future Plans   : Javadoc Comments
//
// Program History:
//  10/01/04: R. Pattis - Operational for 15-200
//
//
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////


package simulation;



public class StraightBehavior implements Behavior {

  StraightBehavior (MoveableSimulton s)
  {simulton = s;}


  public void doIt (Model m)
  {
    simulton.move();
    simulton.wallBounce(m);
  } 


  private MoveableSimulton simulton;
}
